Bug 36294 - Replace inaccurate use of "book" in system preferences
Summary: Replace inaccurate use of "book" in system preferences
Status: Pushed to main
Alias: None
Product: Koha
Classification: Unclassified
Component: System Administration (show other bugs)
Version: unspecified
Hardware: All All
: P5 - low normal (vote)
Assignee: Katrin Fischer
QA Contact: Emily Lamancusa
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2024-03-11 18:34 UTC by Andrew Fuerste-Henry
Modified: 2024-04-04 13:25 UTC (History)
2 users (show)

See Also:
Change sponsored?: ---
Patch complexity: Trivial patch
Documentation contact:
Documentation submission:
Text to go in the release notes:
Version(s) released in:
24.05.00


Attachments
Bug 36294: Replace 'book' in system preference descriptions (4.85 KB, patch)
2024-03-17 21:45 UTC, Katrin Fischer
Details | Diff | Splinter Review
Bug 36294: Replace 'book' in system preference descriptions (4.92 KB, patch)
2024-03-21 15:32 UTC, Laura Escamilla
Details | Diff | Splinter Review
Bug 36294: Replace 'book' in system preference descriptions (4.99 KB, patch)
2024-03-27 17:13 UTC, Emily Lamancusa
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Andrew Fuerste-Henry 2024-03-11 18:34:48 UTC
Several system preferences refer to "books" in their text but are referring to either a biblio or an item, not something that is necessarily a book.

Should refer to titles:
virtualshelves: "Allow staff and patrons to create and view saved lists of books"
SyndeticsSeries: "(Do/Don't show) information on other books in a title's series from Syndetics on item detail pages on the OPAC."

Should refer to items:
AutoSwitchPatron: "(dis/enable) the automatic redirection to another patron when a patron barcode is scanned instead of a book. This should not be enabled if you have overlapping patron and book barcodes."
OPACFineNoRenewals: "Only allow patrons to renew their own books on the OPAC if they have less than [] USD in charges (leave blank to disable)."
OpacRenewalAllowed: "(do/don't allow) patrons to renew their own books on the OPAC."
opacreadinghistory: "patrons to see what books they have checked out in the past."
Comment 1 Katrin Fischer 2024-03-17 21:45:16 UTC
Created attachment 163290 [details] [review]
Bug 36294: Replace 'book' in system preference descriptions

Some system preference descriptions have been updated in order
to replace "books" with items, checkouts or bibliographic records.

To test:

* Check system preference descriptions for following system
  preferences with and without the patch applied:
  * virtualshelves
  * AutoSwitchPatron
  * SyndeticsSeries
  * OPACFineNoRenewals
  * OpacRenewalAllowed
* If they read better than before, sign off :)
Comment 2 Laura Escamilla 2024-03-21 15:32:14 UTC
Created attachment 163632 [details] [review]
Bug 36294: Replace 'book' in system preference descriptions

Some system preference descriptions have been updated in order
to replace "books" with items, checkouts or bibliographic records.

To test:

* Check system preference descriptions for following system
  preferences with and without the patch applied:
  * virtualshelves
  * AutoSwitchPatron
  * SyndeticsSeries
  * OPACFineNoRenewals
  * OpacRenewalAllowed
* If they read better than before, sign off :)

Signed-off-by: Laura Escamilla <laura.escamilla@bywatersolutions.com>
Comment 3 Emily Lamancusa 2024-03-27 17:13:58 UTC
Created attachment 164016 [details] [review]
Bug 36294: Replace 'book' in system preference descriptions

Some system preference descriptions have been updated in order
to replace "books" with items, checkouts or bibliographic records.

To test:

* Check system preference descriptions for following system
  preferences with and without the patch applied:
  * virtualshelves
  * AutoSwitchPatron
  * SyndeticsSeries
  * OPACFineNoRenewals
  * OpacRenewalAllowed
* If they read better than before, sign off :)

Signed-off-by: Laura Escamilla <laura.escamilla@bywatersolutions.com>
Signed-off-by: Emily Lamancusa <emily.lamancusa@montgomerycountymd.gov>
Comment 4 Katrin Fischer 2024-04-04 13:25:36 UTC
Pushed for 24.05!

Well done everyone, thank you!